ZIP_FREAD(3)

NAME
zip_fread - read from file

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

int zip_fread(struct zip_file *file, void *buf, zip_uint64_t nbytes);

DESCRIPTION
The zip_fread function reads at most nbytes bytes from file into buf.

RETURN VALUES
If successful, the number of bytes actually read is returned. Otherwise, -1 is returned.

SEE ALSO
libzip(3), zip_fclose(3), zip_fopen(3)

AUTHORS
Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>